
D4Science Infrastructure - VM Creation #8050

VM creation for GeoServer upgrade tests

Apr 10, 2017 12:15 PM - Fabio Sinibaldi

Status: Closed Start date: Apr 10, 2017

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: SDI-Security   

Infrastructure: Development Applications list and

version:

geoserver (versions upgrade from 2.1.2

to 2.10.1)

RAM: 2 Applications context

path:

geoserver

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

Yes

Smartgears Version: Use latest released PostgreSQL

database:

Yes

Application

Instructions:

 Number of VMs:  

Smartgears scopes: /gcube

/gcube/devNext/NextNext

  

Description

We need to test upgrade procedure of the webapp, hence various version of the app will be manually installed.

Current version in production environments is 2.1.2, so we'll be starting from that and upgrading step by step, up to version 2.10.1.

It will use postgres 8 for steps up to version (2.7) and then postgres 9. DB instances need postGIS extension.

History

#1 - Apr 14, 2017 05:50 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#3 - Apr 14, 2017 06:42 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

The VM has been configured. Some notes:

Both java 7 and java 8 have been installed. Java 7 is de default, because the old geoserver does not run agains java 8 if I remember well. And

the new one does not work with java 7 :).

geoserver 2.10 has been installed. I did it because the playbook also configures a data directory outside the geoserver webapp directory (it's

/srv/geoserver_data/). It also sets the variable GEOSERVER_DATA_DIR=/srv/geoserver_data to instruct the geoserver to use it. The definition

is into the file /etc/default/tomcat-instance-9000.local.

There is a database on postgresql-srv-dev.d4science.org with the postgis extension active. The DB name and user name is geoserver1devup

You can use one of the old geoserver database servers to load an old database.

I did not install a jdbc driver, because a modern one will not work well with postgresql 8 and vice versa.

There's http -> https redirection but no valid certificate yet. It will be automatically installed in the next few days.

#4 - Apr 19, 2017 12:05 PM - Fabio Sinibaldi

- Status changed from Feedback to Closed

Seems ok. I'm gonna re open this ticket in case some misconfiguration is found.
